Type to search.

Set upgrade_mode for transform indices

  • POST /_transform/set_upgrade_mode
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.18 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Sets a cluster wide upgrade_mode setting that prepares transform indices for an upgrade. When upgrading your cluster, in some circumstances you must restart your nodes and reindex your transform indices. In those circumstances, there must be no transforms running. You can close the transforms, do the upgrade, then open all the transforms again. Alternatively, you can use this API to temporarily halt tasks associated with the transforms and prevent new transforms from opening. You can also use this API during upgrades that do not require you to reindex your transform indices, though stopping transforms is not a requirement in that case. You can see the current value for the upgrade_mode setting by using the get transform info API.

Required privileges

Cluster privileges manage_transform

Query parameters

enabled boolean · default: false

When true, it enables upgrade_mode which temporarily halts all transform tasks and prohibits new transform tasks from starting.

timeout string · default: 30s

The time to wait for the request to be completed.

Response

application/json
acknowledged boolean required

For a successful response, this value is always true. On failure, an exception is returned instead.